查询FULL库存
POST
/basicOpen/multiplatform/full/stockSearch支持多平台-平台仓-查询FULL库存
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/full/stockSearch | HTTPS | POST | 1 |
请求参数
lengthintegeroffsetintegerselectTypeEnumstringcustomobject隐藏子属性
likeContentstringtypeintegerhideZeroStorageintegerstoreIdListarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/full/stockSearch?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"length": 20,
"offset": 0,
"selectTypeEnum": "COUNT_TYPE",
"custom": "value",
"custom>>likeContent": "手机壳",
"custom>>type": 0,
"hideZeroStorage": 0,
"storeIdList": [123456,789012]
}'
返回结果
Json Object
codeinteger必填dataobject必填隐藏子属性
pageobject隐藏子属性
recordsarray<object>隐藏子属性
availableQuantitystringdamagedstringdeleteFlagbooleangmtCreateintegergmtModifiedintegeridstringinternalProcessstringinventoryIdstringitemIdstringloststringnoFiscalCoveragestringnotSupportedstringpicUrlstringproductNamestringpurchasePricestringquantitystringskustringstoreIdintegertransferstringvariationIdstringwarehouseNamestringwithdrawalstringtotalstringsyncTimestringerror_detailsarray<any>必填messagestring必填request_idstring必填response_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583.178.17255922733991817",
"response_time": "2024-11-12 16:00:00",
"data": {
"page": {
"records": [
{
"availableQuantity": "150",
"damaged": "3",
"deleteFlag": false,
"gmtCreate": 1702886098000,
"gmtModified": 1702886098000,
"id": "1001",
"internalProcess": "5",
"inventoryId": "ML-12345",
"itemId": "12345",
"lost": "1",
"noFiscalCoverage": "5",
"notSupported": "2",
"picUrl": "https://example.com/image.jpg",
"productName": "iPhone 15 Pro",
"purchasePrice": "199.99",
"quantity": "200",
"sku": "SKU-123456",
"storeId": 789012,
"transfer": "10",
"variationId": "67890",
"warehouseName": "深圳仓",
"withdrawal": "8"
},
{
"availableQuantity": "80",
"damaged": "0",
"deleteFlag": false,
"gmtCreate": 1702886100000,
"gmtModified": 1702886100000,
"id": "1002",
"internalProcess": "2",
"inventoryId": "ML-67890",
"itemId": "54321",
"lost": "0",
"noFiscalCoverage": "0",
"notSupported": "0",
"picUrl": "https://example.com/another-image.png",
"productName": "Samsung Galaxy S24",
"purchasePrice": "150.00",
"quantity": "90",
"sku": "SKU-987654",
"storeId": 789012,
"transfer": "5",
"variationId": "12345",
"warehouseName": "上海仓",
"withdrawal": "3"
}
],
"total": "100"
},
"syncTime": "2025-12-18 10:34:58"
},
"total": 1
}